#include <bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false); 
    cin.tie(NULL) ; cout.tie(NULL) ;
    
    long int n,u,v,s=0,i=0,o=0;
    char st;
    
    cin>>n;
    for(int ii=1;ii<n;ii++){
    	cin>>u>>v>>st;
    	if(st=='S'){
    		s++;
		}
		if(st=='I'){
    		i++;
		}
		if(st=='O'){
    		o++;
		}
	}
	cout<<s*i*o;
}